Bug 597547 - Computer (MSI 890GXM-G65) won't go into S3 sleep: pm_op(): usb_dev_suspend+0x0/0x15 returns -2
Computer (MSI 890GXM-G65) won't go into S3 sleep: pm_op(): usb_dev_suspend+0x...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-29 09:48 EDT by Dennis Wagelaar
Modified: 2010-11-07 06:25 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-05 05:10:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of lshal (120.33 KB, text/plain)
2010-05-29 09:49 EDT, Dennis Wagelaar
no flags Details
Output of lsmod (4.31 KB, text/plain)
2010-05-29 09:51 EDT, Dennis Wagelaar
no flags Details
Interesting bits from /var/log/messages (USB3 controller switched off) (8.80 KB, text/plain)
2010-05-31 02:56 EDT, Dennis Wagelaar
no flags Details

  None (edit)
Description Dennis Wagelaar 2010-05-29 09:48:18 EDT
Description of problem:
Computer won't go into S3 sleep, /var/log/messages contains these lines:

May 29 15:32:16 styx kernel: PM: Syncing filesystems ... done.
May 29 15:32:16 styx kernel: Freezing user space processes ... (elapsed 0.00 seconds) done.
May 29 15:32:16 styx restorecond: Read error (Interrupted system call)
May 29 15:32:16 styx kernel: Freezing remaining freezable tasks ... (elapsed 0.00 seconds) done.
May 29 15:32:16 styx kernel: Suspending console(s) (use no_console_suspend to debug)
May 29 15:32:16 styx kernel: pm_op(): usb_dev_suspend+0x0/0x15 returns -2
May 29 15:32:16 styx kernel: PM: Device usb8 failed to suspend: error -2
May 29 15:32:16 styx kernel: PM: Some devices failed to suspend
May 29 15:32:16 styx kernel: Restarting tasks ... done.


Version-Release number of selected component (if applicable):
kernel-2.6.32.12-115.fc12.x86_64

How reproducible:
Trigger S3 sleep. Computer will cancel sleep request halfway, and start back up.

Steps to Reproduce:
1. Trigger S3.
2.
3.
  
Actual results:
Computer cancels S3 request and wakes back up.

Expected results:
Computer goes into S3 sleep.

Additional info:
Motherboard: MSI 890GXM-G65
BIOS: v1.6
CPU: AMD Phenom(tm) II X6 1055T Processor
Comment 1 Dennis Wagelaar 2010-05-29 09:49:11 EDT
Created attachment 417863 [details]
Output of lshal
Comment 2 Dennis Wagelaar 2010-05-29 09:51:14 EDT
Created attachment 417864 [details]
Output of lsmod
Comment 3 Dennis Wagelaar 2010-05-31 02:48:54 EDT
If I switch off the USB3 host controller in the BIOS, computer will go into S3. It doesn't come out properly, though.
Comment 4 Dennis Wagelaar 2010-05-31 02:56:22 EDT
Created attachment 418181 [details]
Interesting bits from /var/log/messages (USB3 controller switched off)

These are the relevant lines in /var/log/messages after switching off the USB3 host controller. Computer goes into S3, but does not come out properly (black screen, keyboard/mouse not working).
Comment 5 Bug Zapper 2010-11-03 09:54:07 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Dennis Wagelaar 2010-11-05 05:10:45 EDT
Problem no longer occurs on Fedora 14:
kernel-2.6.35.6-48.fc14.x86_64

Note: Fedora 14 has been freshly installed, don't know if upgrades also solve the problem.

Note You need to log in before you can comment on or make changes to this bug.